Skip to main content
GET
/
api
/
payments
/
razorpay
/
{environment}
/
subscriptions
List Razorpay Subscriptions
curl --request GET \
  --url https://api.example.com/api/payments/razorpay/{environment}/subscriptions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/payments/razorpay/{environment}/subscriptions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/payments/razorpay/{environment}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subscriptions": [
    {
      "subscriptionId": "sub_123",
      "planId": "plan_123",
      "customerId": "cust_123",
      "subjectType": "<string>",
      "subjectId": "<string>",
      "currentStart": "2023-11-07T05:31:56Z",
      "currentEnd": "2023-11-07T05:31:56Z",
      "endedAt": "2023-11-07T05:31:56Z",
      "quantity": 123,
      "chargeAt": "2023-11-07T05:31:56Z",
      "startAt": "2023-11-07T05:31:56Z",
      "endAt": "2023-11-07T05:31:56Z",
      "totalCount": 123,
      "authAttempts": 123,
      "paidCount": 123,
      "remainingCount": 123,
      "shortUrl": "<string>",
      "hasScheduledChanges": true,
      "changeScheduledAt": "2023-11-07T05:31:56Z",
      "offerId": "<string>",
      "authorizationPaymentId": "pay_123",
      "authorizationVerifiedAt": "2023-11-07T05:31:56Z",
      "notes": {},
      "providerCreatedAt": "2023-11-07T05:31:56Z",
      "syncedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}
{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Query Parameters

subjectType
string

Billing subject type. Must be provided together with subjectId.

Required string length: 1 - 100
subjectId
string

Billing subject ID. Must be provided together with subjectType.

Required string length: 1 - 255
limit
integer
default:50

Maximum rows to return.

Required range: 1 <= x <= 100

Response

Razorpay subscriptions

subscriptions
object[]
required